/// <reference types="react" />
import { Column } from 'react-table';
export interface Team {
    uuid: string;
    primaryHostInstitution: {
        address: string;
        city: string;
        country: string;
        kind: string;
        region: string;
        shortName: string;
        subRegion: string;
        website: string;
        uuid: string;
    };
    name: string;
    level: TeamLevel;
    status: TeamStatus;
    competitionUuid: string;
}
export declare const getTeamStatusColor: (status: TeamStatus) => string;
export declare const StatusCell: ({ value }: {
    value: TeamStatus;
}) => JSX.Element;
export declare const teamTableColumns: ReadonlyArray<Column<any>>;
export declare enum TeamLevel {
    UNDERGRAD = "undergrad",
    OVERGRAD = "overgrad",
    HIGH_SCHOOL = "high-school"
}
export declare enum TeamStatus {
    PENDING = "pending",
    ACCEPTED = "accepted",
    WITHDRAWN = "withdrawn",
    DISQUALIFIED = "disqualified",
    REJECTED = "rejected"
}
export declare const mapTeamLevelToLabel: (level: TeamLevel) => string;
export declare const getHostInstitutionKindLabel: (kind: string) => string | undefined;
